Transactions Operations
Beta
Returns a list of transactions based on the matching input parameters in reverse chronological order, with the most recent transactions shown first.The maximum number of transactions returned (between 10-100). The default is 10.
The number of transactions to skip. The default is 0.
Pattern: ^crh_[a-z0-9]{26}$The cardholder's unique identifier.
Pattern: ^crd_[a-z0-9]{26}$The card's unique identifier.
Pattern: ^ent_[a-z0-9]{26}$The entity's unique identifier.
An optional filter for the transaction lifecycle status.
An optional start date filter for transactions, in ISO 8601 format.
An optional end date filter for transactions, in ISO 8601 format.
Unauthorized
Not Found
Matching parameters not valid.
Too Many Requests
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/transactions' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"limit": 5,
"skip": 10,
"total_count": 100,
"data": [
{
"id": "trx_aayhhfwbdyxwcaeyhhfwbd4xga",
"created_on": "2026-09-23T13:52:07.856Z",
"status": "authorized",
"transaction_type": "purchase",
"client": {
"id": "cli_vkuhvk4vjn2edkps7dfsq6emqm"
},
"entity": {
"id": "ent_fa6psq242dcd6fdn5gifcq1491"
},
"card": {
"id": "crd_fa6psq242dcd6fdn5gifcq1491",
"network": "mastercard"
},
"digital_card": {
"id": "dcr_5ngxzsynm2me3oxf73esbhda6q",
"wallet_type": "googlepay"
},
"cardholder": {
"id": "crh_d3ozhf43pcq2xbldn2g45qnb44"
},
"amounts": {
"total_held": {
"amount": 100,
"currency": "USD"
},
"total_authorized": {
"amount": 100,
"currency": "USD"
},
"total_reversed": {
"amount": 100,
"currency": "USD"
},
"total_cleared": {
"amount": 100,
"currency": "USD"
},
"total_refunded": {
"amount": 100,
"currency": "USD"
}
},
"merchant": {
"id": "(*)123456789",
"name": "My Merchant",
"city": "Paris",
"state": "",
"country_code": "FR",
"category_code": "5331"
},
"reference_transaction": {
"transaction_id": "trx_aayhhfwbdyxwcaeyhhfwbd4xga",
"reference_type": "original_mit"
},
"messages": [
{
"id": "msg_fa6psq242dcd6fdn5gifcq1491",
"initiator": "cardholder",
"type": "authorization",
"result": "declined",
"is_relayed": true,
"indicator": "incremental_preauthorization",
"decline_reason": "expiry_date_invalid",
"authorization_code": "03C0C0",
"billing_amount": 100,
"billing_currency": "USD",
"transaction_amount": 100,
"transaction_currency": "USD",
"created_on": "2019-09-10T10:11:12Z"
}
],
"_links": {
"self": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
},
"card": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
},
"cardholder": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
},
"reference_transaction": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
}
}
}
]
}Beta
Get the details of a transaction using its ID.Pattern: ^trx_[a-z0-9]{26}$The transaction's unique identifier.
Unauthorized
Forbidden
Transaction Not Found
Not Acceptable
Too Many Requests
curl 'https://{prefix}.api.sandbox.checkout.com/issuing/transactions/trx_aayhhfwbdyxwcaeyhhfwbd4xga' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "trx_aayhhfwbdyxwcaeyhhfwbd4xga",
"created_on": "2026-09-23T13:52:07.856Z",
"status": "authorized",
"transaction_type": "purchase",
"client": {
"id": "cli_vkuhvk4vjn2edkps7dfsq6emqm"
},
"entity": {
"id": "ent_fa6psq242dcd6fdn5gifcq1491"
},
"card": {
"id": "crd_fa6psq242dcd6fdn5gifcq1491",
"network": "mastercard"
},
"digital_card": {
"id": "dcr_5ngxzsynm2me3oxf73esbhda6q",
"wallet_type": "googlepay"
},
"cardholder": {
"id": "crh_d3ozhf43pcq2xbldn2g45qnb44"
},
"amounts": {
"total_held": {
"amount": 100,
"currency": "USD"
},
"total_authorized": {
"amount": 100,
"currency": "USD"
},
"total_reversed": {
"amount": 100,
"currency": "USD"
},
"total_cleared": {
"amount": 100,
"currency": "USD"
},
"total_refunded": {
"amount": 100,
"currency": "USD"
}
},
"merchant": {
"id": "(*)123456789",
"name": "My Merchant",
"city": "Paris",
"state": "",
"country_code": "FR",
"category_code": "5331"
},
"reference_transaction": {
"transaction_id": "trx_aayhhfwbdyxwcaeyhhfwbd4xga",
"reference_type": "original_mit"
},
"messages": [
{
"id": "msg_fa6psq242dcd6fdn5gifcq1491",
"initiator": "cardholder",
"type": "authorization",
"result": "declined",
"is_relayed": true,
"indicator": "incremental_preauthorization",
"decline_reason": "expiry_date_invalid",
"authorization_code": "03C0C0",
"billing_amount": 100,
"billing_currency": "USD",
"transaction_amount": 100,
"transaction_currency": "USD",
"created_on": "2019-09-10T10:11:12Z"
}
],
"_links": {
"self": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
},
"card": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
},
"cardholder": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
},
"reference_transaction": {
"href": "string",
"actions": [
"GET"
],
"types": [
"string"
]
}
}
}